% original file = readeetraklocs_original.m
% this file reads exported DUKE ANT electrode file(.elc).
% last modified by balaji lakshmanan, 2/24/2011

function chanlocs = readeetraklocs( filename )

noteof = 1; % not end of file
fid = fopen(filename);
while noteof   
    
    tmp =  fgetl(fid);
    
    if tmp(1)=='N' & tmp(2)=='u' % Numberofelectrodes
        numelc = sscanf(tmp(17:end),'%f');
    end
    
    if strcmp(tmp,'Positions') % electrode locations start after this line
        
        for i = 1:numelc
            
            tmpstr = fgetl(fid);
            tmplabel = sscanf(tmpstr(1:4), '%s');
            tmppos = sscanf(tmpstr(7:end), '%f');
            
            chanlocs(i).labels = strtok(tmplabel);
            chanlocs(i).X      = tmppos(1);
            chanlocs(i).Y      = tmppos(2);
            chanlocs(i).Z      = tmppos(3);
            
        end
        
        noteof = 0;
    end
    
end

fclose(fid);

 chanlocs = convertlocs(chanlocs, 'cart2all');
